archivers/p5-Archive-Any-Lite - The NetBSD Packages Collection

Simple CPAN package extractor

Archive::Any::Lite is a fork of Archive::Any. The main difference is this works
properly even when you fork(), and may require less memory to extract a tarball.
On the other hand, this isn't pluggable (this only supports file formats used in
the CPAN toolchains), and this doesn't check mime types (at least as of this
writing).

Build dependencies

archivers/p5-Archive-Zip devel/p5-Test-UseAllModules pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

devel/p5-Module-CPANfile devel/p5-ExtUtils-MakeMaker-CPANfile lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 8.0i386p5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 8.0i386p5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 8.0powerpcp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 8.0powerpcp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 8.0x86_64p5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 8.0x86_64p5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0aarch64p5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0aarch64p5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0alphap5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0alphap5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0alphap5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0earmp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0earmp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0earmp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0earmv6hfp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0earmv6hfp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0earmv7hfp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0earmv7hfp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0i386p5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0i386p5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0i386p5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0mips64ebp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0mips64ebp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0mips64ebp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0powerpcp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0powerpcp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0sh3elp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0sh3elp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0sh3elp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0sparc64p5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0sparc64p5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0sparc64p5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0sparcp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0sparcp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0sparcp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0sparcp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0vaxp5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0x86_64p5-Archive-Any-Lite-0.11nb6.tgz
NetBSD 9.0x86_64p5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0x86_64p5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0x86_64p5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0x86_64p5-Archive-Any-Lite-0.11nb5.tgz
NetBSD 9.0x86_64p5-Archive-Any-Lite-0.11nb6.tgz
NetBSD 9.99.96aarch64ebp5-Archive-Any-Lite-0.11nb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.